Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1515084 - Volumes don't show up in "volume status' widget in Tendrl-Gluster-at-a-Glance
Summary: Volumes don't show up in "volume status' widget in Tendrl-Gluster-at-a-Glance
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: web-admin-tendrl-ui
Version: rhgs-3.3
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: ---
Assignee: Nishanth Thomas
QA Contact: Rochelle
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-20 06:27 UTC by Rochelle
Modified: 2017-12-18 04:37 UTC (History)
4 users (show)

Fixed In Version: tendrl-gluster-integration-1.5.4-4.el7rhgs.noarch.rpm
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-18 04:37:36 UTC


Attachments (Terms of Use)
Volumes under "volume status" are reflected correctly on the Grafana dashboard (deleted)
2017-11-22 08:57 UTC, Rochelle
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:3478 normal SHIPPED_LIVE RHGS Web Administration packages 2017-12-18 09:34:49 UTC

Description Rochelle 2017-11-20 06:27:15 UTC
Description of problem:
=======================
Under "status" in "Tendrl-Gluster-at-a-glance", with respect to geo-replication, the slave volume was seen but with respect to the the master cluster, which had 2 volumes, neither of them came up under "volume status" widget even after 45 min but brick status and host status was shown.


Version-Release number of selected component (if applicable):
=============================================================
tendrl-ui-1.5.4-3.el7rhgs.noarch



Actual results:
===============
There was nothing under "volume status"



Expected results:
==================
The volume status should be seen as 2 volumes which were created

Comment 2 Petr Penicka 2017-11-20 13:26:12 UTC
Giving pm_ack and 3.3.z+ since both qa_ack and dev_ack are already given.

Comment 4 Rochelle 2017-11-22 08:57:53 UTC
Created attachment 1357299 [details]
Volumes under "volume status" are reflected correctly on the Grafana dashboard

Created 3 volumes and this was correctly reflected under "volume status" on the home tab as well as the "Tendrl-at-a-Glance" tab on the Grafana dashboard.

Moving this bug to verified.

Comment 7 errata-xmlrpc 2017-12-18 04:37:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:3478


Note You need to log in before you can comment on or make changes to this bug.